# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Node Class Reference
Inheritance diagram for Node:

## Public Member Functions

const std::string & | getName () const
| returns the name of the node.
Node * | getParent ()
| returns the parent node of the current node.
Position | getPosition () const
| returns the position of the node.
Node * | getRight ()
| returns the child node at the right of the current node.
Node * | getTop ()
| returns the child node at the top of the current node.
bool | isRoot ()
| returns tru if the node is the root of the tree (has no parent).
void | setRight (Node *)
| sets the child node at the right of the current node. More...
void | setTop (Node *)
| sets the node at the top of the current node. More...

## Detailed Description

This class describes a node of the placement tree.

This is an abstract class used to easily managed blocs and groups of the placement tree.

## Member Function Documentation

## ◆ setRight()

void setRight | ( | Node * | node | ) |

inline

sets the child node at the right of the current node.

Parameters

  node | the node at the right of the current node.

## ◆ setTop()

void setTop | ( | Node * | node | ) |

inline

sets the node at the top of the current node.

Parameters

  node | the node at the top of the current node.